# IBM Visualization Data Explorer Programmer's Reference

[ Bottom of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]

### DXFree

Function

Frees a previously allocated block of memory.

Syntax
`
#include <dx/dx.h>
`

Error DXFree(Pointer x)

Functional Details

This routine can be used to free memory (pointed to by `x`) that has been allocated by any of the following routines: `DXAllocate, DXAllocateZero, DXAllocateLocal, DXAllocateLocalZero,` or `DXReAllocate`. If `x` is `NULL`, `DXFree` immediately returns `OK`.

Return Value Returns `OK` or returns `ERROR` and sets an error code.

See Also

`DXAllocate, DXAllocateZero, DXAllocateLocal, DXAllocateLocalZero, DXAllocateLocalOnly, DXAllocateLocalOnlyZero, DXPrintAlloc, DXReAllocate`

13.3 , "Memory Allocation".

[ Top of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]
[Data Explorer Documentation | QuickStart Guide | User's Guide | User's Reference | Programmer's Reference | Installation and Configuration Guide ]

[Data Explorer Home Page]

[IBM Home Page | Order | Search | Contact IBM | Legal ]